Has any kde 4 user checked out this theme?

Its called Bespin and looks really cool

Bespin KDE-Look.org

You have to compile it though, something I am horrible at :wink:

jup I tried it with KDEmod 4.1, you get it for free there! It is okay but nothing more then that. The windows are okay but I do not like the controls / progress bars and stuff.

stefan

do u think its better than oxygen? what window decorations does it have?

it has mac-os like windows decorations and brownish controls. It shows promise But I seriously do not prefer it over oxygen. That said there are not enough themes for KDE4 as it is. Wish there was a minimalist theme for KDE4.

i use this on Gnome:
Preview Elegant Brit

and i believe it is way cooler then any theme for KDE4 yet.

stefan

thats a nice theme, I think I will try and compile bespin, just to make sure all stuff that needs to be compiled is placed in the bin folder right?

i tried to compile the SVN version but configure doesn’t create a Makefile file, so it doesn’t compile here

EDIT: apparently one has to go inside the “build” directory and execute make there, but it fails too at compilation in the end

what package do I need to download the file from svn using konsole?

:confused:

package subversion

then just copy & paste the code below into a console

svn co https://cloudcity.svn.sourceforge.net/svnroot/cloudcity 

this will create a cloudcity directory in your home and fetch everything into that

thanks going to try it right now :slight_smile:

what does this mean? :confused:

CMake Error: your CXX compiler: “CMAKE_CXX_COMPILER-NOTFOUND” was not found. Please set CMAKE_CXX_COMPILER to a valid compiler path or name.
– Configuring done
!!! CMAKE NOT FOUND! !!!
In order to compile with KDE support you NEED cmake >= 2.4

cmake is installed and its version 2.6

no idea why you get this error. configure runs here just fine. I also have cmake on my system, same version too. The problem here is that configure doesn’t generate a Makefile. There is a Makefile in the “build” directory but when running it from there, the compilation fails at the end

I think I need gcc+c++ or something

of course you need GCC. You always need it when compiling source

not just gcc but also gcc-c++ in this case

stefan

well if you insist on trying it … this worked just fine for me:


$ sudo zypper install svn make cmake gcc autoconf automake gcc-c++ libqt4-devel
$ export CMAKE_CXX_COMPILER=`which cmake`
$ svn co https://cloudcity.svn.sourceforge.net/svnroot/cloudcity
$ cd cloudcity
$ ./configure
$ make
$ sudo make install

there’s rpm for it too though:

RPM Search bespin-svn020708-3.1.i586.rpm

stefan

new problem

→ Do you want to compile with KDE support? [Y/n]
– The C compiler identification is GNU
– The CXX compiler identification is GNU
– Check for working C compiler: /usr/bin/gcc
– Check for working C compiler: /usr/bin/gcc – works
– Detecting C compiler ABI info
– Detecting C compiler ABI info - done
– Check for working CXX compiler: /usr/bin/c++
– Check for working CXX compiler: /usr/bin/c++ – works
– Detecting CXX compiler ABI info
– Detecting CXX compiler ABI info - done
– WARNING: *** KDE4 not found, just the style will be build ***
CMake Error at /usr/share/cmake/Modules/FindQt4.cmake:1584 (MESSAGE):
Qt qmake not found!
Call Stack (most recent call first):
CMakeLists.txt:21 (find_package)

– Configuring done
!!! CMAKE NOT FOUND! !!!
In order to compile with KDE support you NEED cmake >= 2.4

libqt4-devel

so there is one package I was missing, installint it right now

thanks but no thanks, there is no way I am taking the easy way out this time, I will compile it even if its the last thing I do :smiley:

Installing libqt4-devel right now thanks :slight_smile: